<center><a href="ex1.c">Actual source code: ex1.c</a></center><br>

<html>
<head>
<title></title>
<meta name="generator" content="c2html 0.9.5">
<meta name="date" content="2007-03-29T00:19:51+00:00">
</head>

<body bgcolor="#FFFFFF">
<pre width="80"><a name="line1">  1: </a><font color="#B22222">/* </font>
<a name="line2">  2: </a><font color="#B22222">   Demonstrates PETSc error handlers.</font>
<a name="line3">  3: </a><font color="#B22222"> */</font>

<a name="line5"> 5: </a> #include <A href="../../../../include/petsc.h.html">petsc.h</A>

<a name="line9">  9: </a><strong><font color="#4169E1"><a name="CreateError"></a>int CreateError(int n)</font></strong>
<a name="line10"> 10: </a>{
<a name="line12"> 12: </a>  <font color="#4169E1">if</font> (!n) <A href="../../../../docs/manualpages/Sys/SETERRQ.html#SETERRQ">SETERRQ</A>(1,<font color="#666666">"Error Created"</font>);
<a name="line13"> 13: </a>  CreateError(n-1);
<a name="line14"> 14: </a>  <font color="#4169E1">return</font> 0;
<a name="line15"> 15: </a>}

<a name="line19"> 19: </a><strong><font color="#4169E1"><a name="main"></a>int main(int argc,char **argv)</font></strong>
<a name="line20"> 20: </a>{
<a name="line22"> 22: </a>  <A href="../../../../docs/manualpages/Sys/PetscInitialize.html#PetscInitialize">PetscInitialize</A>(&amp;argc,&amp;argv,(char *)0,0);
<a name="line23"> 23: </a>  <A href="../../../../docs/manualpages/Sys/PetscFPrintf.html#PetscFPrintf">PetscFPrintf</A>(<A href="../../../../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>,stdout,<font color="#666666">"Demonstrates PETSc Error Handlers\n"</font>);
<a name="line24"> 24: </a>  <A href="../../../../docs/manualpages/Sys/PetscFPrintf.html#PetscFPrintf">PetscFPrintf</A>(<A href="../../../../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>,stdout,<font color="#666666">"The error is a contrived error to test error handling\n"</font>);
<a name="line25"> 25: </a>  <A href="../../../../docs/manualpages/Sys/PetscSynchronizedFlush.html#PetscSynchronizedFlush">PetscSynchronizedFlush</A>(<A href="../../../../docs/manualpages/Sys/PETSC_COMM_WORLD.html#PETSC_COMM_WORLD">PETSC_COMM_WORLD</A>);
<a name="line26"> 26: </a>  CreateError(5);
<a name="line27"> 27: </a>  <A href="../../../../docs/manualpages/Sys/PetscFinalize.html#PetscFinalize">PetscFinalize</A>();
<a name="line28"> 28: </a>  <font color="#4169E1">return</font> 0;
<a name="line29"> 29: </a>}
<a name="line30"> 30: </a>
</pre>
</body>

</html>
